List all apps for org

View as MarkdownOpen in Claude

Returns a list of boarding applications for an organization. Use filters to limit results. Include the exportFormat query parameter to return the results as a file instead of a JSON response.

Path parameters

orgIdintegerRequired
The numeric identifier for organization, assigned by Payabli.

Query parameters

exportFormatenumOptional
Export format for file downloads. When specified, returns data as a file instead of JSON.
Allowed values:
fromRecordintegerOptionalDefaults to 0
The number of records to skip before starting to collect the result set.
limitRecordintegerOptionalDefaults to 20

Max number of records to return for the query. Use 0 or negative value to return all records.

parametersmap from strings to nullable stringsOptional
Collection of field names, conditions, and values used to filter the query See [Filters and Conditions Reference](/developers/developer-guides/pay-ops-reporting-engine-overview#filters-and-conditions-reference) for help. List of field names accepted: - `createdAt` (gt, ge, lt, le, eq, ne) - `startDate` (gt, ge, lt, le, eq, ne) - `dbaname` (ct, nct) - `legalname` (ct, nct) - `ein` (ct, nct) - `address` (ct, nct) - `city` (ct, nct) - `state` (ct, nct) - `phone` (ct, nct) - `mcc` (ct, nct) - `owntype` (ct, nct) - `ownerName` (ct, nct) - `contactName` (ct, nct) - `status` (in, nin, eq,ne) - `orgParentname` (ct, nct) - `externalpaypointID` (ct, nct, eq, ne) - `repCode` (ct, nct, eq, ne) - `repName` (ct, nct, eq, ne) - `repOffice` (ct, nct, eq, ne) List of comparison accepted - enclosed between parentheses: - eq or empty => equal - gt => greater than - ge => greater or equal - lt => less than - le => less or equal - ne => not equal - ct => contains - nct => not contains - in => inside array - nin => not inside array
sortBystringOptional

The field name to use for sorting results. Use desc(field_name) to sort descending by field_name, and use asc(field_name) to sort ascending by field_name.

Response

Success
Recordslist of objectsOptional
SummaryobjectOptional

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error